Subject: Re: git pack/unpack over bittorrent - works!

From: Jakub Narebski <[email-masked]>
Date: Sat, 4 Sep 2010 23:16:30 +0200

On Sat, Sep 4, 2010, Luke Kenneth Casson Leighton wrote:
> On Sat, Sep 4, 2010 at 9:20 PM, Jakub Narebski <[email-masked]> wrote:
> 
> > Luke, you don't have to be peer-to-peer to be decentralized and
> > distributed.  People from what I understand bitch most about
> > centralized (and closed) services.
> 
> i've covered this in the FAQ i wrote:
> 
> FAQ:
> 
> Q: is git a "distributed source control system"?
> A: yeees, but the "distribution" part has to be done the hard way,
>    by setting up servers, forcing developers and users to configure
>    git to use those [single-point-of-failure] servers.  so it's
>    "more correct" to say that git is a "distributable" source control
>    system.
 
"Distributed" is not equivalent to "peer to peer".
 
> so if you believe that git is "distributed" just because people can
> set up a server.... mmm :)  i'd say that your administrative and
> technical skills are way above the average persons' capabilities.

Git is distributed at least in the sense that it is opposite
to centralized version control systems (like Subversion)
where you have and can have only single server with full repository.

Setting up server (git, smart HTTP, ssh) is not that hard.

> proper peer-to-peer networking infrastructure takes care of things
> like firewall-busting, by using UPnP automatically, as part of the
> infrastructure.

With "smart" HTTP transport support there is no need for any 
firewall-busting.
 
> come on, people - _think_.  we're so used to being able to run our own
> infrastructure and workaround problems or server down-time, but most
> people still use "winzip", if they have any kind of revision control
> _at all_.

In what way this paragraph refers to and is relewant with respect to
discussion in this subthread?

::plonk::
-- 
Jakub Narebski
Poland